import { Component, Prop, Vue } from 'vue-property-decorator';
import { Measure, ListMeasureConfig, Measurement, ListMeasurementMeta } from '@/models';

@Component
export class ListSummary extends Vue {
  @Prop() private measure!: Measure<ListMeasureConfig>;
  @Prop() private measurements!: Array<Measurement<ListMeasurementMeta>>;

  private top5(): Array<Measurement<ListMeasurementMeta>>  {
    return this.measurements
      .sort((a, b) => b.timestamp.getTime() - a.timestamp.getTime())
      .slice(0, 5);
  }
}

export default ListSummary;
